> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# モデルの一覧

> models エンドポイントを使用して、利用可能な Serverless Inference のモデルとその ID の一覧を取得します。

このページでは、Serverless Inference API で利用可能なすべてのモデルとその ID を取得する方法を説明します。このエンドポイントを使用すると、プログラムから利用可能なモデルを探したり、実行時にモデルを動的に選択したり、アカウントからアクセスできるモデルを確認したりできます。

<h2 id="request-examples">
  リクエストのサンプル
</h2>

以下のサンプルは、Python とコマンドラインから models エンドポイントを呼び出す方法を示します。

<Tabs>
  <Tab title="Python">
    ```python theme={"system"}
    import openai

    client = openai.OpenAI(
        base_url="https://api.inference.wandb.ai/v1",
        api_key="[YOUR-API-KEY]",
        project="[YOUR-TEAM]/[YOUR-PROJECT]"  # オプション、使用量のトラッキング用
    )

    response = client.models.list()

    for model in response.data:
        print(model.id)
    ```
  </Tab>

  <Tab title="Bash">
    ```bash theme={"system"}
    curl https://api.inference.wandb.ai/v1/models \
      -H "Content-Type: application/json" \
      -H "Authorization: Bearer [YOUR-API-KEY]" \
      -H "OpenAI-Project: [YOUR-TEAM]/[YOUR-PROJECT]"
    ```
  </Tab>
</Tabs>

<h2 id="response-format">
  応答形式
</h2>

エンドポイントは OpenAI 互換形式でモデルオブジェクトの一覧を返すため、標準の OpenAI クライアントライブラリを使用して応答を解析できます。各エントリには、ほかの Inference API エンドポイントに渡すモデル ID が含まれます。

```json theme={"system"}
{
  "object": "list",
  "data": [
    {
      "id": "deepseek-ai/DeepSeek-V3.1",
      "object": "model",
      "created": 0,
      "owned_by": "system",
      "root": "deepseek-ai/DeepSeek-V3.1"
    },
    {
      "id": "openai/gpt-oss-20b",
      "object": "model",
      "created": 0,
      "owned_by": "system",
      "root": "openai/gpt-oss-20b"
    }
    // ... その他のモデル
  ]
}
```


## Related topics

- [Analytics 比較モデルの一覧](/ja/model-distillation/reference/management/ui-preferences/list-analytics-comparison-models.md)
